﻿Public Class cStoreCOMM
    Inherits cStoreRegistry

    Private Const COMM_ROOT_PATH = "COMM\\"

    Public Sub New()

    End Sub

    '////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////

    Public Function Initialize(ByVal sDomainRealm As String, ByVal sSIPListenIP As String, ByVal nSIPListenPort As Integer, ByVal sRTPListenIP As String, ByVal nRTPListenPort As Integer) As Boolean

        Dim sPath As String = COMM_ROOT_PATH

        MyBase.SetTEXT(sPath, "DomainRealm", sDomainRealm)
        MyBase.SetTEXT(sPath, "SIPListenIP", sSIPListenIP)
        MyBase.SetTEXT(sPath, "RTPListenIP", sRTPListenIP)

        MyBase.SetINT(sPath, "SIPListenPort", nSIPListenPort)
        MyBase.SetINT(sPath, "RTPListenPort", nRTPListenPort)

        Return True

    End Function

    Public Function GetInitialize(ByRef sDomainRealm As String, ByRef sSIPListenIP As String, ByRef nSIPListenPort As Integer, ByRef sRTPListenIP As String, ByRef nRTPListenPort As Integer) As Boolean

        Dim sPath As String = COMM_ROOT_PATH

        MyBase.GetTEXT(sPath, "DomainRealm", sDomainRealm)
        MyBase.GetTEXT(sPath, "SIPListenIP", sSIPListenIP)
        MyBase.GetTEXT(sPath, "RTPListenIP", sRTPListenIP)

        MyBase.GetINT(sPath, "SIPListenPort", nSIPListenPort)
        MyBase.GetINT(sPath, "RTPListenPort", nRTPListenPort)

        Return True

    End Function

    '////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////

    Public Function SetMusicHold(ByVal sFileName As String) As Boolean

        Dim sPath As String = COMM_ROOT_PATH
        Return MyBase.SetTEXT(sPath, "MusicHold", sFileName)

    End Function

    Public Function GetMusicHold(ByRef sFileName As String) As Boolean

        Dim sPath As String = COMM_ROOT_PATH
        Return MyBase.GetTEXT(sPath, "MusicHold", sFileName)

    End Function

    '////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////

    Public Function SetMusicDialTone(ByVal sFileName As String) As Boolean

        Dim sPath As String = COMM_ROOT_PATH
        Return MyBase.SetTEXT(sPath, "MusicDialTone", sFileName)

    End Function

    Public Function GetMusicDialTone(ByRef sFileName As String) As Boolean

        Dim sPath As String = COMM_ROOT_PATH
        Return MyBase.GetTEXT(sPath, "MusicDialTone", sFileName)

    End Function

    '////////////////////////////////////////////////////////////////////
    '////////////////////////////////////////////////////////////////////

    Public Function SetMusicCallParking(ByVal sFileName As String) As Boolean

        Dim sPath As String = COMM_ROOT_PATH
        Return MyBase.SetTEXT(sPath, "MusicCallParking", sFileName)

    End Function

    Public Function GetMusicCallParking(ByRef sFileName As String) As Boolean

        Dim sPath As String = COMM_ROOT_PATH
        Return MyBase.GetTEXT(sPath, "MusicCallParking", sFileName)

    End Function

    Public Function IsDataStored() As Boolean
        Return MyBase.IsKeyExist(COMM_ROOT_PATH)
    End Function

End Class
