
#include "StdAfx.h"

#ifndef CCALLSTATUS_H
#define CCALLSTATUS_H
#endif

#ifndef CUSERTATUS_H
#define CUSERSTATUS_H
#endif

#ifndef CLINESTATUS_H
#define CLINESTATUS_H
#endif



class CCallStatus
{
public:
	CCallStatus() {}
	~CCallStatus() {}

public:
	CString GenOpenCallStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Call Opened with CallID: %d", lConnectId);
		return sStatus;
	}
	
	CString GenSuccessToCallStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Success To Connect with CallID: %d", lConnectId);
		return sStatus;
	}
	
	CString GenFailToCallStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Fail To Connect with CallID: %d", lConnectId);
		return sStatus;
	}
	
	CString GenLostCallStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Call Lost with CallID: %d", lConnectId);
		return sStatus;
	}
	
	CString GenCloseCallStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Call Closed With CallID: %d", lConnectId);
		return sStatus;
	}
	
	CString GenOffHoldStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Call put OffHold With CallID: %d", lConnectId);
		return sStatus;
	}
	
	CString GenOnHoldStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Call put OnHold With CallID: %d", lConnectId);
		return sStatus;
	}

	CString GenTransferBlindStatus(long lConnectId)
	{
		CString sStatus;
		sStatus.Format("Call Blind Transfer With CallID: %d", lConnectId);
		return sStatus;
	}
	CString GenTransferConsultStatus(long lConnectIdFrom, long lConnectIdTo)
	{
		CString sStatus;
		sStatus.Format("Call Consult Transfer From CallID: %d To CallID: %d", lConnectIdFrom, lConnectIdTo);
		return sStatus;
	}
};

class CUserStatus
{
public:
	CUserStatus() {}
	~CUserStatus() {}

public:
	CString GenTryingToReg(LPCTSTR sUserName)
	{
		CString sStatus;
		sStatus.Format("USER %s Trying To Register . . .", sUserName);
		return sStatus;
	}

	CString GenSuccessToReg(LPCTSTR sUserName)
	{
		CString sStatus;
		sStatus.Format("USER %s Succes To Register.", sUserName);
		return sStatus;	
	}

	CString GenFailToReg(LPCTSTR sUserName)
	{
		CString sStatus;
		sStatus.Format("USER %s Fail To Register.", sUserName);
		return sStatus;	
	}

	CString GenSuccessToUnReg(LPCTSTR sUserName)
	{
		CString sStatus;
		sStatus.Format("USER %s Succes To UnRegister.", sUserName);
		return sStatus;	
	}
};

class CLineStatus
{

public:
	CLineStatus() { }
	~CLineStatus() { }

public:

	CString GenTryingToRegStatus(LPCTSTR sLineName)
	{
		CString sStatus;
		sStatus.Format("LINE \'%s\' Trying To Register . . .", sLineName);
		return sStatus;
	}
	CString GenSuccessToRegStatus(LPCTSTR sLineName)
	{
		CString sStatus;
		sStatus.Format("LINE \'%s\' Register Success.", sLineName);
		return sStatus;
	}
	CString GenFailToRegStatus(LPCTSTR sLineName)
	{
		CString sStatus;
		sStatus.Format("LINE \'%s\' Fail To Register.", sLineName);
		return sStatus;
	}

	CString GenTryingToUnRegStatus(LPCTSTR sLineName)
	{
		CString sStatus;
		sStatus.Format("LINE \'%s\' Trying To UnRegister . . .", sLineName);
		return sStatus;
	}
	CString GenSuccessToUnRegStatus(LPCTSTR sLineName)
	{
		CString sStatus;
		sStatus.Format("LINE \'%s\' Success To UnRegister.", sLineName);
		return sStatus;
	}
	CString GenFailToUnRegStatus(LPCTSTR sLineName)
	{
		CString sStatus;
		sStatus.Format("LINE \'%s\' Fail To UnRegister.", sLineName);
		return sStatus;
	}
};