unit StatusLogDlg;

interface

uses
  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  Vcl.ComCtrls,
  Vcl.StdCtrls;

type
  TStatusLogForm = class(TForm)

    btnClear: TButton;
    ListStatus: TListBox;

    procedure btnClearClick(Sender: TObject);

  public

        procedure OnStatusLog(sStatus : string);

  end;

var
  StatusLogForm: TStatusLogForm;

implementation

{$R *.dfm}

procedure TStatusLogForm.OnStatusLog(sStatus : string);
var
nTotalStatusCount : Integer;
tabStatusLogSheet : TTabSheet;
begin
    ListStatus.Items.Add(sStatus);

    nTotalStatusCount := ListStatus.Items.Count;

    tabStatusLogSheet := TTabSheet(Self.Parent);
    tabStatusLogSheet.Caption := 'Status Log (' + IntToStr(nTotalStatusCount) + ')';
end;

procedure TStatusLogForm.btnClearClick(Sender: TObject);
var
tabStatusLogSheet : TTabSheet;
begin
     ListStatus.Clear();

     tabStatusLogSheet := TTabSheet(Self.Parent);
     tabStatusLogSheet.Caption := 'Status Log';
end;

end.
