#pragma once

class CConfRoomDetails
{

public:

	CConfRoomDetails(){};
	~CConfRoomDetails(){};

public:

	CString m_sRoomName;
	CString m_sRoomNo;

};

class CVaxServerExCOM;

class CConfRoomList
{

private:

	LONG m_lConfRoomByNameListId;
	LONG m_lConfRoomByNoListId;

	CVaxServerExCOM* m_pServerExCOM;

public:
	
	CConfRoomList(CVaxServerExCOM* pServerExCOM);
	~CConfRoomList();

private:

	CString GenKey(LPCTSTR sValue);

	CConfRoomDetails* FindRoomByName(LPCTSTR sRoomName);
	CConfRoomDetails* FindRoomByNo(LPCTSTR sRoomNo);

public:

	void DeleteRoomAll();

	BOOL AddRoom(LPCTSTR sRoomName, LPCTSTR sRoomNo);
	void RemoveRoom(LPCTSTR sRoomName);

	CString GetRoomName(LPCTSTR sRoomNo);

	BOOL GetRoomDetails(LPCTSTR sRoomName, CString& sRoomNo);
	BOOL IsRoomNoExists(LPCTSTR sRoomNo);

	BOOL GetRoomAll(CStringList* pRoomList);
};

