#pragma once

#include "StoreRegistry.h"

class CStoreDirectProxy :public CStoreRegistry
{

public:

	CStoreDirectProxy(void);
	~CStoreDirectProxy(void);

public:

	BOOL AddDirectProxySIP(LPCTSTR sProxyName, LPCTSTR sAuthLogin, LPCTSTR sAuthPwd, LPCTSTR sDomainRealm, LPCTSTR sProxyIP, LONG lProxyPort, LPCTSTR sCodecList);
	BOOL GetDirectyProxySIP(LPCTSTR sProxyName, CString& sAuthLogin, CString& sAuthPwd, CString& sDomainRealm, CString& sProxyIP, LONG& lProxyPort, CString& sCodecList );
	void RemoveDirectProxySIP(LPCTSTR sProxyName);

	BOOL AddDirectProxyRoute(LPCTSTR sProxyName, int nToPeerType, LPCTSTR sToPeerName, BOOL bRejected, LPCTSTR sRoomName, LPCTSTR sQueueName, LPCTSTR sRingGroupName);
	BOOL GetDirectProxyRoute(LPCTSTR sProxyName, int& nToPeerType, CString&  sToPeerName, BOOL& bRejected, CString&  sRoomName, CString& sQueueName, CString& sRingGroupName);
	void RemoveDirectProxyRoute(LPCTSTR sProxyName);

	void GetDirectProxyAll(CStringList* pDirectProxyList);

	BOOL IsDataStored();
};

